apache2 2.4.25-2 source package in Debian

Changelog

apache2 (2.4.25-2) unstable; urgency=medium

  * Activate mod_reqtimeout in new installs and during updates from
    before 2.4.25-2. It was wrongly not activated in new installs since
    jessie. This made the default installation vulnerable to some DoS
    attacks.
  * Restart htcacheclean on updates and tighten dependency on apache2-utils
    to ensure that apache2-utils cannot be upgraded without apache2.
    Closes: #851122
  * When running on systems with systemd, make 'apache2ctl start' invoke
    systemctl instead. Otherwise systemd will think apache2 is not running
    and ignore further commands like reload. Closes: #839227
  * Avoid segfault in mpm_event if a signal is received too soon after start.
    PR 60487
  * Add test for some modules to be enabled.
  * Remove mention of CVE-2016-5387 in 2.4.25-1 changelog. It was already
    fixed in 2.4.23-2.

 -- Stefan Fritsch <email address hidden>  Sat, 14 Jan 2017 19:27:34 +0100

Upload details

Uploaded by:
Debian Apache Maintainers on 2017-01-14
Uploaded to:
Sid
Original maintainer:
Debian Apache Maintainers
Architectures:
any all
Section:
httpd
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Downloads

File Size SHA-256 Checksum
apache2_2.4.25-2.dsc 2.8 KiB b72a4038be2a1aea5b220ddfbbf5fb0eb675e7b18c49692fb89a85af8f0d3b3d
apache2_2.4.25.orig.tar.bz2 6.1 MiB f87ec2df1c9fee3e6bfde3c8b855a3ddb7ca1ab20ca877bd0e2b6bf3f05c80b2
apache2_2.4.25-2.debian.tar.xz 345.6 KiB 1b508d9b685d885773bfeacd973bb7c9cd6c1fb971ea715be57f8c3069490750

No changes file available.

Binary packages built by this source